#import "test.h"
#import "CoreServices/CoreServices.h"
#import "Carbon/Carbon.h"

NSArray *DCSGetActiveDictionaries(); 
NSArray *DCSCopyAvailableDictionaries(); 
NSString *DCSDictionaryGetName(DCSDictionaryRef dictID); 
NSString *DCSDictionaryGetShortName(DCSDictionaryRef dictID); 

@implementation test

- (void)awakeFromNib
{
}

- (void)controlTextDidEndEditing:(NSNotification *)nd
{
	NSString *searchStr = [textField stringValue];
	NSString *text = @"";

    NSArray *dicts = DCSCopyAvailableDictionaries();
    for (NSObject *dict in dicts) {
        NSString *name = DCSDictionaryGetName((DCSDictionaryRef)dict);
		CFRange range = DCSGetTermRangeInString(
			(DCSDictionaryRef)dict, (CFStringRef)searchStr, 0); 

#if 0
		CGPoint point = CGPointMake(0.0f, 0.0f);
		HIDictionaryWindowShow(
			(DCSDictionaryRef)dict, (CFStringRef)searchStr, range,
			NULL, point, false, NULL);
#endif

		NSString *result = (NSString *)DCSCopyTextDefinition(
			(DCSDictionaryRef)dict, (CFStringRef)searchStr, range);
		if (result) {
			//NSLog(result);
			text = [text stringByAppendingString:
			  [NSString stringWithFormat:@"====================\n%@\n====================\n%@\n\n", name, result]];
		}
	}

	if ([text length] == 0)
		text = @"見つかりません";

	[textView setString:text];
}

@end
